VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form Form1 
   Caption         =   "WtCom test VB6 application"
   ClientHeight    =   3225
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7395
   LinkTopic       =   "Form1"
   ScaleHeight     =   3225
   ScaleWidth      =   7395
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox EditScore 
      Height          =   1815
      Left            =   240
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   6
      Top             =   1200
      Width           =   6975
   End
   Begin VB.CommandButton ButtonCloseNetwork 
      Caption         =   "Close network"
      Height          =   375
      Left            =   5760
      TabIndex        =   5
      Top             =   600
      Width           =   1455
   End
   Begin VB.CommandButton ButtonOpenNetwork 
      Caption         =   "Open Network"
      Height          =   375
      Left            =   5760
      TabIndex        =   4
      Top             =   120
      Width           =   1455
   End
   Begin VB.TextBox EditPortNumber 
      Height          =   285
      Left            =   2160
      TabIndex        =   3
      Text            =   "9871"
      Top             =   600
      Width           =   1695
   End
   Begin VB.TextBox EditBroadcastAddress 
      Height          =   285
      Left            =   240
      TabIndex        =   2
      Text            =   "192.168.0.255"
      Top             =   600
      Width           =   1695
   End
   Begin MSWinsockLib.Winsock Winsock1 
      Left            =   5160
      Top             =   0
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.Label Label2 
      Caption         =   "Port number:"
      Height          =   255
      Left            =   2160
      TabIndex        =   1
      Top             =   360
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Broadcast Address:"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   360
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' This is a simple demo VB6 demo program to show how to use the wtCom.dll
' to communicate through the WT network. Its goal is to display in a small
' Edit Box Window the "SUMMARY" protocols sent periodicaly by the "Master"
' station on the Network.
'
' This program is part of the Win-Test logging software for HamRadio contesters:
' http://www.win-test.com
'
' This program is distributed in the hope that it will be useful, but
' WITHOUT ANY WARRANTY.
'
' The source code is licenced under the terms of the GNU Public General
' Licence (GPL): http://www.gnu.org/copyleft/gpl.html
'
' As I'm a total newcomer in Visual Basic, please don't blame me if
' the code looks unconventional to your eyes!
'
' (c) Mars 2006, Olivier Le Cam, f5mzn

' 0 or 1, according to the networking state
Private IsConnected As Long

' This constant is used to refer to the Message Handling function in a given window
Private Const GWL_WNDPROC = (-4)

' Called when the Form is loaded to subclass the Windows Messages Proc
' to a custom one
Private Sub Form_Load()
    IsConnected = 0
    ButtonOpenNetwork.Enabled = True
    ButtonCloseNetwork.Enabled = False
        
    ' First, we need to store the address of the existing Message Handler
    hOldWindowProc = GetWindowLong(Me.hwnd, GWL_WNDPROC)
    
    ' Now we can tell windows to forward all messages to out own Message Handler
    Call SetWindowLong(Me.hwnd, GWL_WNDPROC, AddressOf MyWndProc)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ' We must return control of the messages back to windows before the program exits
    Call SetWindowLong(Me.hwnd, GWL_WNDPROC, hOldWindowProc)
    
    ' Disable the communation with the WT network
    If IsConnected = 1 Then
        WTCOM_close
    End If
End Sub

' Enable communication with the WT network
Private Sub ButtonOpenNetwork_Click()
    WTCOM_init Me.hwnd, WM_NETWORK_RECEIVE, EditBroadcastAddress.Text, EditPortNumber.Text
    IsConnected = 1
    MsgBox "Communication with the WT network done", 48, ""
    ButtonOpenNetwork.Enabled = False
    ButtonCloseNetwork.Enabled = True
End Sub

' Disable communication with the WT network
Private Sub ButtonCloseNetwork_Click()
    If IsConnected = 1 Then
        WTCOM_close
        IsConnected = 0
        ButtonOpenNetwork.Enabled = True
        ButtonCloseNetwork.Enabled = False
    End If
End Sub

